Bug 1317050 - RHEL 5 32 bits server is not able to get product and channel from Satellite6
RHEL 5 32 bits server is not able to get product and channel from Satellite6
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.1.6
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 14:27 EST by Alessandro Silva
Modified: 2017-04-25 12:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-21 10:47:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Silva 2016-03-11 14:27:30 EST
We are able to register RHEL server clients [5,6,7] on Satellite 6.06 , but If the RHEL client is rhel5-32bits, after register, the base channel is not available and the message "No products installed" is showed. The RHEL 5 32 bits channel was synced and is available in the Satellite 6 server. Because of that, my customer is not able to
update or install packages.


Version-Release number of selected component (if applicable): 

   - Red Hat Satellite 6.06
   - RHEL server client 5.11


How reproducible:

1. # subscription-manager register --org="MyOrg" --activationkey="rhel-virt"
   The system has been registered with ID: 9a7a524f-a7d3-4dcc-be58-c5b29c0cc1e4
   No products installed.

   # subscription-manager status
   +-------------------------------------------+
   System Status Details
   +-------------------------------------------+
   Overall Status: Current



2. Looking into the manifest, I'm not able to see 5Server channel and the tree: /rhel/server/5/5Server/i386/os


   # rct cat-manifest manifest_47dd7757-243f-4432-9f36-eece6325184f.zip | grep 5Server
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/debug
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/iso
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/os
                /content/beta/rhel/server/5/5Server/$basearch/rh-common/source/SRPMS
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/debug
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/os
                /content/beta/rhel/server/5/5Server/$basearch/sat-tools/6/source/SRPMS
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/debug
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/os
                /content/dist/rhel/server/5/5Server/$basearch/sat-tools/6.1/source/SRPMS
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/debug
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/os
                /content/rhb/rhel/server/5/5Server/$basearch/devtoolset/source/SRPMS


Actual results:

   # subscription-manager register --org="MyOrg" --activationkey="rhel-virt"
   The system has been registered with ID: 9a7a524f-a7d3-4dcc-be58-c5b29c0cc1e4
   No products installed.

   # subscription-manager status
   +-------------------------------------------+
   System Status Details
   +-------------------------------------------+
   Overall Status: Current



Expected results:

   We have to be able to:
 
   - Register RHEL 5 32 bits servers
   - Get base RHEL 5 32 bits channel available 
   - Install packages from Satellite 6
Comment 1 Alessandro Silva 2016-03-15 14:09:47 EDT
Any update about this bug? Is there something that I could help to proceed with the solution for?
Comment 6 Alessandro Silva 2016-03-21 15:51:00 EDT
Looking into the /etc/pki/product directory:

32Bits server:

root ~ #  ls -l /etc/pki/product/
total 0
================

64 Bits Server 
[root@s01web193 ~]#  ls -l /etc/pki/product/
total 0
Comment 7 Alessandro Silva 2016-04-26 09:28:15 EDT
This issue will be fixed?
Comment 9 Alessandro Silva 2016-06-21 10:47:08 EDT
Closing this BZ

Note You need to log in before you can comment on or make changes to this bug.